Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class CMCStatus

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.CMCStatus

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CMCStatus
extends ASN1Object

CMCStatus ::= INTEGER { success (0), failed (2), pending (3), noSupport (4), confirmRequired (5), popRequired (6), partial (7) }

Field Summary
`static CMCStatus` | `confirmRequired`
`static CMCStatus` | `failed`
`static CMCStatus` | `noSupport`
`static CMCStatus` | `partial`
`static CMCStatus` | `pending`
`static CMCStatus` | `popRequired`
`static CMCStatus` | `success`

Method Summary
`static CMCStatus` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### success

    public static final CMCStatus success

### failed

    public static final CMCStatus failed

### pending

    public static final CMCStatus pending

### noSupport

    public static final CMCStatus noSupport

### confirmRequired

    public static final CMCStatus confirmRequired

### popRequired

    public static final CMCStatus popRequired

### partial

    public static final CMCStatus partial

Method Detail

### getInstance

    public static CMCStatus getInstance(java.lang.Object o)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD